---
layout: job_page
title: "Prometheus Lead"
---

## Responsibilities

* Prioritizes and leads the efforts working on GitLab's Prometheus monitoring and alerting infrastructure
* Manage the bundling of Prometheus as an out-of-the-box monitoring solution for GitLab CE/EE packages
* Contribute to the [Prometheus open source project](https://github.com/prometheus)
* Orchestrate the migration from our current performance monitoring solution to Prometheus
* Improve coverage of GitLab performance monitoring
* Measure applications deployed with GitLab
* Create automated alerts to notify team members of regressions
* Ensures that there is a written onboarding and process that is effective and followed
* Performs 1:1's with all reports every 2-5 weeks (depending on the experience of the report)
* Is available for 1:1's on demand of the report
* Uses the contributor analytics to ensure that anyone who is stuck is helped
* Reviews and manages a significant amount of the merge requests made by developers
* Document answers and improve existing documentation
* Write blog posts relevant to the community

## Requirements

* Experience leading a team of developers
* Experience writing production-level applications in Go
* Experience with managing large amounts of telemetry
* Experience developing time-series databases
* You have contributions in the [Prometheus open source project](https://github.com/prometheus)

**NOTE** In the compensation calculator below, fill in "Lead" in the `Level` field for this role.


<%= partial "includes/apply_and_about" %>
